﻿#language: ru

@quality_control

Функционал: 03_quality_control. Запуск обработки АРМ Технолога

Сценарий: 03_quality_control. Подготовка остатка в камере 1
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'Дата смены' я ввожу текст '12.05.2051'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'упак'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'рос'
	И я перехожу к следующему реквизиту
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '31'
	И в поле 'Дата выпуска' я ввожу текст '20.05.2051'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '5,000'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускКоличество1"
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '2,000'
	И в таблице "Выпуск" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 03_quality_control. Изменение даты поступления сыра для отличного от 0 факта времени нахождения
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Вид операции' | 'Ответственный' | 'Рабочий центр' | 'Смена'   | 'Способ создания' | 'Статус'    |
		| 'Переработка'  | 'Администратор' | 'Упаковка'      | 'Смена24' | 'Создан вручную'  | 'Выполнено' |
	И в таблице "Список" я активизирую поле "Рабочий центр"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я перехожу к первой строке
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'
	И в поле 'от' я ввожу текст '27.11.2019 15:47:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка * от * *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 03_quality_control. Запуск обработки АРМ Технолога
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место технолога'
	Тогда открылось окно 'Рабочее место технолога*'
	И я нажимаю на гиперссылку "Декорация развернуть панель отборов"	
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля с именем "ОтборСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сырцех'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место технолога*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг'  | 'Номенклатура'   | 'План' | 'Серия'        | 'Склад'  | 'Характеристика' | 'Шт'  |
		| '950' | 'Российский 50%' | '0'    | '11.11.2018/1' | 'Сырцех' | 'Варка'          | '135' |
	И я нажимаю на кнопку 'Посмотреть историю показателей'
	Тогда открылось окно 'Отчет по лабораторным анализам'
	И Я в отчете устанавливаю период "01.01.2018" "31.12.2042"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'         | 'Период: 01.01.2018 - 31.12.2042' | ''              | ''                    | ''                     | ''              | ''                        |
		| 'Отбор:'             | 'Серия Равно "11.11.2018/1"'      | ''              | ''                    | ''                     | ''              | ''                        |
		| ''                   | ''                                | ''              | ''                    | ''                     | ''              | ''                        |
		| 'Номенклатура'       | ''                                | 'Ответственный' | 'Значение показателя' | 'Нормативное значение' | ''              | ''                        |
		| 'Серия'              | ''                                | ''              | ''                    | 'Значение'             | 'Значение доп.' | 'Соответствует нормативу' |
		| 'Вид анализа'        | ''                                | ''              | ''                    | ''                     | ''              | ''                        |
		| 'Показатель'         | ''                                | ''              | ''                    | ''                     | ''              | ''                        |
		| 'Дата выполнения'    | 'От начала варки (мин.)'          | ''              | ''                    | ''                     | ''              | ''                        |
		| 'Российский 50%'     | ''                                | ''              | ''                    | ''                     | ''              | ''                        |
		| '11.11.2018/1'       | ''                                | ''              | ''                    | ''                     | ''              | ''                        |
		| 'показатели МДЖ МДБ' | ''                                | ''              | ''                    | ''                     | ''              | ''                        |
		| 'МДБ'                | ''                                | 'qual_Лаборант' | '21'                  | '21'                   | '35'            | 'V'                       |
		| '*' 		       	   | ''                                | 'qual_Лаборант' | '21'                  | '21'                   | '35'            | 'V'                       |
		| 'МДЖ'                | ''                                | 'qual_Лаборант' | '25'                  | '0,3'                  | '50'            | 'V'                       |
		| '*' 		       	   | ''                                | 'qual_Лаборант' | '25'                  | '0,3'                  | '50'            | 'V'                       |
		| 'Итого'              | ''                                | ''              | ''                    | ''                     | ''              | ''                        |
	И Я закрываю окно 'Отчет по лабораторным анализам'
	Тогда открылось окно 'Рабочее место технолога*'
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля с именем "ОтборСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место технолога*'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И в поле 'Дата смены' я ввожу текст '25.02.2050'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И в поле 'Время объединения, ч' я ввожу текст '2'
	Тогда открылось окно 'Рабочее место технолога*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'План' | 'Серия'         | 'Склад'               | 'Характеристика' | 'Шт' |
		| '5'  | 'Российский 50%' | '726'  | '20.05.2051/31' | 'Камера созревания 1' | 'На созревании'  | '2'  |
	И я нажимаю на кнопку 'Выпустить брак'
	Тогда открылось окно 'Укажите количество брака*'
	И я нажимаю кнопку выбора у поля "Характеристика брака"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Брак'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Укажите количество брака*'
	И я нажимаю кнопку выбора у поля "Причина брака"
	Тогда открылось окно 'Причины брака'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Укажите количество брака*'
	И в поле 'Количество' я ввожу текст '2,581'	
	И в поле 'Количество1' я ввожу текст '1,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место технолога*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Номенклатура'   | 'Серия'         | 'Характеристика' |
		| 'Российский 50%' | '20.05.2051/31' | 'На созревании'  |
	И я нажимаю на кнопку 'Подтвердить готовность'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Рабочее место технолога*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг'    | 'Номенклатура'   | 'Серия'         | 'Склад'               | 'Факт' | 'Характеристика' | 'Шт' |
		| '2,419' | 'Российский 50%' | '20.05.2051/31' | 'Камера созревания 1' | '0'    | 'Созревший'      | '1'  |
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг'    | 'Номенклатура'   | 'Серия'         | 'Склад'               | 'Факт' | 'Характеристика' | 'Шт' |
		| '2,581' | 'Российский 50%' | '20.05.2051/31' | 'Камера созревания 1' | '0'    | 'Брак'           | '1'  |
	И Я закрываю окно 'Рабочее место технолога*'

Сценарий: 03_quality_control. Создание заметок по партии
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место технолога'
	Тогда открылось окно 'Рабочее место технолога*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг'    | 'Номенклатура'   | 'Серия'         | 'Склад'               | 'Характеристика' | 'Шт' |
		| '2,419' | 'Российский 50%' | '20.05.2051/31' | 'Камера созревания 1' | 'Созревший'      | '1'  |
	И в таблице "ТаблицаОстатков" я активизирую поле "Серия"
	И в таблице "ТаблицаОстатков" я выбираю текущую строку
	Тогда открылось окно '20.05.2051/31 (Серия номенклатуры)'
	И я перехожу к закладке с именем "СтраницаЗаметки"
	И я сворачиваю группу "Новая заметка"
	И я разворачиваю группу "Новая заметка"
	И в поле с именем "НоваяЗаметка" я ввожу текст 'Это сыр'
	И я нажимаю на кнопку 'Сохранить'
	И в поле с именем "НоваяЗаметка" я ввожу текст 'Вполне хороший сыр'
	И я нажимаю на кнопку 'Сохранить'
	И я нажимаю на кнопку 'Полужирный'
	И в поле с именем "НоваяЗаметка" я ввожу текст 'Это жирным шрифтом'
	И я нажимаю на кнопку 'Сохранить'
	И я нажимаю на кнопку 'По центру'
	И в поле с именем "НоваяЗаметка" я ввожу текст 'а теперь посередине'
	И я нажимаю на кнопку 'Сохранить'
	И я жду доступности элемента с именем "Заметки" в течение 10 секунд
	И     элемент формы с именем "Заметки" стал равен шаблону 
		|'qual_Технолог (*)'|
		|''|
		|'а теперь посередине'|
		|''|
		|''|
		|'-----------------------------'|
		|'qual_Технолог (*)'|
		|''|
		|'Это жирным шрифтом'|
		|''|
		|''|
		|'-----------------------------'|
		|'qual_Технолог (*)'|
		|''|
		|'Вполне хороший сыр'|
		|''|
		|''|
		|'-----------------------------'|
		|'qual_Технолог (*)'|
		|''|
		|'Это сыр'|
		|''|
		|''|
	И Я закрываю окно '20.05.2051/31 (Серия номенклатуры)'
	Тогда открылось окно 'Рабочее место технолога*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'Серия'          | 'Склад'               | 'Характеристика' | 'Шт' |
		| '52' | 'Российский 50%' | '11.12.2018/122' | 'Камера созревания 1' | 'На созревании'  | '18' |
	И в таблице "ТаблицаОстатков" я выбираю текущую строку
	Тогда открылось окно '11.12.2018/122 (Серия номенклатуры)'
	И я перехожу к закладке "Заметки"
	Тогда элемент формы с именем "Заметки" стал равен ""
	И я закрываю окно '11.12.2018/122 (Серия номенклатуры)'
	Тогда открылось окно 'Рабочее место технолога*'
	И Я закрываю окно 'Рабочее место технолога*'

Сценарий: 03_quality_control. Проверка уровней готовности в АРМе Технолога с разным форматом времени 1
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место технолога'
	Тогда открылось окно 'Рабочее место технолога: *'
	И из выпадающего списка "ОтборСостояние" я выбираю точное значение 'Просрочено'
	И я жду, что в таблице "ТаблицаОстатков" количество строк будет "равно" 2 в течение 10 секунд

Сценарий: 03_quality_control. Смена формата нормы хранения на минуты
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И из выпадающего списка "Формат времени нормы хранения" я выбираю точное значение 'мин'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 10 секунд

Сценарий: 03_quality_control. Проверка уровней готовности в АРМе Технолога с разным форматом времени 2
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	Тогда открылось окно 'Рабочее место технолога: *'
	И я нажимаю на кнопку 'Обновить'
	И я жду, что в таблице "ТаблицаОстатков" количество строк будет "равно" 2 в течение 10 секунд
	И я нажимаю кнопку очистить у поля "ОтборСостояние"
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'План' | 'Серия'          | 'Склад'               | 'Характеристика' | 'Шт' |
		| '52' | 'Российский 50%' | '726'  | '11.12.2018/122' | 'Камера созревания 1' | 'На созревании'  | '18' |
	И я запоминаю значение поля "Факт" таблицы "ТаблицаОстатков" как "ФактВремени"
	И я нажимаю на кнопку 'Скорректировать время готовности'
	Тогда открылось окно 'Укажите новое время готовности'
	И в поле 'Плановое время нахождения' я ввожу значение переменной 'ФактВремени'
	И я нажимаю на кнопку 'Сохранить'
	И из выпадающего списка "ОтборСостояние" я выбираю точное значение 'Готово'
	И я жду, что в таблице "ТаблицаОстатков" количество строк будет "равно" 1 в течение 10 секунд

Сценарий: 03_quality_control. Смена формата нормы хранения на часы
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И из выпадающего списка "Формат времени нормы хранения" я выбираю точное значение 'ч'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд

Сценарий: 03_quality_control. Проверка уровней готовности в АРМе Технолога с разным форматом времени 3
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	Тогда открылось окно 'Рабочее место технолога: *'
	И я нажимаю на кнопку 'Обновить'
	И я жду, что в таблице "ТаблицаОстатков" количество строк будет "равно" 0 в течение 10 секунд
	И я нажимаю кнопку очистить у поля "ОтборСостояние"
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'Серия'          | 'Склад'               | 'Характеристика' | 'Шт' |
		| '52' | 'Российский 50%' | '11.12.2018/122' | 'Камера созревания 1' | 'На созревании'  | '18' |
	И я закрыл все окна клиентского приложения

Сценарий: 03_quality_control. Растарка контейнера с сыром на созревании
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я меняю значение переключателя 'ТипОперации' на 'Разобрать'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''          |
		| 'Контейнер' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контейнеры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'   |
		| '0000001' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: 03_quality_control. Создание копмлектаций на две тары одной партии. Первая тара
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Тип'      | 'Штрих код'   |
		| 'Китаянка' | '07000000001' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование'   | 'Номер' |
		| '11.12.2018'   | '11.12.2018/122' | '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '12,000'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество1' я ввожу текст '4,000'
	И в таблице "Товары" я перехожу к строке:
		| 'N' | 'Серия'             | 'Характеристика'    |
		| '1' | '<не используются>' | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: 03_quality_control. Создание копмлектаций на две тары одной партии. Вторая тара
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Тип'      | 'Штрих код'   |
		| 'Китаянка' | '07000000002' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование'   | 'Номер' |
		| '11.12.2018'   | '11.12.2018/122' | '122'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '14,000'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество1' я ввожу текст '5,000'
	И в таблице "Товары" я перехожу к строке:
		| 'N' | 'Серия'             | 'Характеристика'    |
		| '1' | '<не используются>' | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: 03_quality_control. Подтверждение готовности продукции с разных тар
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место технолога'
	Тогда открылось окно 'Рабочее место технолога: *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Показывать тару'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'Серия'          | 'Склад'               | 'Тара'        | 'Характеристика' | 'Шт' |
		| '12' | 'Российский 50%' | '11.12.2018/122' | 'Камера созревания 1' | '07000000001' | 'На созревании'  | '4'  |
	И я нажимаю на кнопку 'Подтвердить готовность'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Рабочее место технолога: *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'Серия'          | 'Склад'               | 'Характеристика' | 'Шт' |
		| '26' | 'Российский 50%' | '11.12.2018/122' | 'Камера созревания 1' | 'Созревший'      | '9'  |
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'Серия'          | 'Склад'               | 'Тара'        | 'Характеристика' | 'Шт' |
		| '12' | 'Российский 50%' | '11.12.2018/122' | 'Камера созревания 1' | '07000000001' | 'Созревший'      | '4'  |
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг' | 'Номенклатура'   | 'Серия'          | 'Склад'               | 'Тара'        | 'Характеристика' | 'Шт' |
		| '14' | 'Российский 50%' | '11.12.2018/122' | 'Камера созревания 1' | '07000000002' | 'Созревший'      | '5'  |
	И Я закрываю окно 'Рабочее место технолога: *'